//MODIFIED BY AZMEL TO INCLUDE MARGIN LEVEL

#property copyright "Shinigami 2007"
#property link      "shini1984@gmail.com"

#define ORDER_ID 2010
extern string EA.Name           = "";
extern int Work = 1;

double MarginLevel;
double MinMarginLevel;

int init()
{
   if(GlobalVariableCheck("MinMarginLevel"))
   {
      MinMarginLevel=GlobalVariableGet("MinMarginLevel");
   }
   return(0);
}

//-------------------------------------- START ---------------------------------------------------------------

int start()
{
   CommentMe();
   return(0);
}
 
//----------------------------------------- COMMENT FUNCTION ----------------------------------------------------

int CommentMe()    //Comments out needed parameters on a chart
{
RefreshRates();
double Eq.CM = AccountEquity();
double Bal.CM = AccountBalance();
double Mar.CM = AccountMargin();
double Prof.CM = AccountProfit();
double OldMar.CM = 0;
OldMar.CM = MaxMarginFileRead.CM();
if(Mar.CM>OldMar.CM)
MaxMarginFileWrite.CM();

if(Mar.CM>0)
{
   MarginLevel=Eq.CM/Mar.CM;
   if(MinMarginLevel==0)
   {
      MinMarginLevel=MarginLevel;
   }
   if(MarginLevel<MinMarginLevel)
   {
      MinMarginLevel=MarginLevel;
      GlobalVariableSet("MinMarginLevel",MinMarginLevel);
   }
}

Comment("\n\n\n\n\n\n\n\n\n\n",
       "EA Name = ",EA.Name,"\n",
//        "Account balance is ",DoubleToStr(Bal.CM,2),"\n",
//        "Account equity is ",DoubleToStr(Eq.CM,2),"\n",
//        "Account profit is ",DoubleToStr(Prof.CM,2),"\n",
        "Account margin is ",DoubleToStr(Mar.CM,2),"\n",
        "Max Known Margin is ",DoubleToStr(OldMar.CM,2),"\n",
        "Current Margin Level is ",MarginLevel*100,"% \n",
        "Minimum Known Margin Level is ",MinMarginLevel*100,"%"
        );
//        "Current time is ",TimeToStr(TimeCurrent()));

return(0);
}

//------------------------------------------------- FILE READ ONLY FUNCTION -----------------------------------

double MaxMarginFileRead.CM()
{
  int handle;
  double last=0;
  handle=FileOpen("margin_CT_data.csv",FILE_CSV|FILE_READ);
  if(handle>0)
    {
     last=FileReadNumber(handle);
     FileClose(handle);
    }
   if(handle<0)
    {
     Print("cant open file error-",GetLastError());
    }
return(last);
}

//------------------------------------------------- FILE WRITE ONLY FUNCTION ----------------------------------

double MaxMarginFileWrite.CM()
{
  int handle;
  double CurrMargin=AccountMargin();
  handle=FileOpen("margin_CT_data.csv", FILE_CSV|FILE_WRITE,';');
  if(handle<1)
    {
     Print("cant open file error-",GetLastError());
     return(0);
    }
  FileWrite(handle, CurrMargin, DOUBLE_VALUE);
  FileClose(handle);
 return(0);
}

//--------------------------------------------------------------------------------------------------------------